%define upstream_name	 Data-UUID
%define upstream_version 1.218

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Perl extension for generating Globally/Universally Unique Identifiers
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Data/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Digest::MD5)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel
%description
Perl extension for generating Globally/Universally Unique Identifiers
(GUIDs/UUIDs).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor < /dev/null
%make

%check
%{__make} test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{perl_vendorarch}/Data
%{perl_vendorarch}/auto/Data
%{_mandir}/man3/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.218.0-2.mga3
+ Revision: 365514
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Aug 29 2012 kharec <kharec> 1.218.0-1.mga3
+ Revision: 285259
- update to 1.218

* Wed May 30 2012 jquelin <jquelin> 1.217.0-4.mga3
+ Revision: 250484
- rebuild for perl 5.16

* Sat Jun 11 2011 sander85 <sander85> 1.217.0-3.mga2
+ Revision: 104112
- perl 5.14

* Sat Jan 22 2011 jquelin <jquelin> 1.217.0-2.mga1
+ Revision: 31619
- rebuild
- mageia rebuild

* Thu Jan 13 2011 jquelin <jquelin> 1.217.0-1.mga1
+ Revision: 10660
- imported package perl-Data-UUID

